%readtuk6.m   6/7/2013
% 
% input *.dat raw RBR upload file
% output jday pressure temperature to tuk6.mat
% *****************************************************
% *** PLOT IN LOCAL TIME *****one minute data************
% ***************************************************** 
clear;clf
mooring='tuk6';depth=1;%m
instdepth=1;%m
latitude= 41+18.907/60;longitude=-70-16.914/60;
SN='16188';

% 	first remove / and : from the *.tid file with Perl fixseagauge.plx
%	perl fixseagauge.plx C:\WHOI\redsea\data\pressure\may11\uploads\sg1164_Jed_may11.tid
    
    load tuk6.dat; z=tuk6; clear fixed
    jday=julian([z(:,1) z(:,2) z(:,3) z(:,4) z(:,5) z(:,6)]);%gmt
    pres=z(:,8);temp=z(:,7);deprbr=z(:,9); % 

% Remove data before and after the deployment
    st=julian([2013 6 6 12 24 00]); %gmt
    et=julian([2013 6 20 15 12 00]);  %gmt
    n=find(jday<st | jday>et);jday(n)=[];
    pres(n)=[];temp(n)=[];deprbr(n)=[];
    pres=pres-10.3656; % remove air pressure
	%pres=pres-mean(pres);

% Plot pressure
    h1=plot(jday,pres);
    h=title('Bigelow Point Pressure');set(h,'fontsize',12)
    grid;gregaxd(jday-4/24,1);figure(gcf);
    preslp=pl66tn(pres,1/60,33);
    hold on;plot(jday,preslp,'r','linew',2)
    h1=ylabel('Pressure db');set(h1,'fontw','bold','fonts',14)

%    save tuk6 mooring jday pres temp  ...
%		 depth instdepth latitude longitude SN 
%    print -djpeg -r300 BigelowPointtide6
