%readtuk4.m   4/26/2013
% 
% input *.dat raw RBR upload file
% output jday pressure temperature to tuk4.mat
% *****************************************************
% *** PLOT IN LOCAL TIME *****one minute data************
% ***************************************************** 
clear;clf
mooring='tuk4';depth=3;%m
instdepth=1;%m
latitude= 41+18.46/60;longitude=-70-14.965/60;
SN='16188';

%	first remove / and : from the *.tid file with Perl fixseagauge.plx
%	perl fixseagauge.plx 

    load tuk4.dat; z=tuk4; clear fixed
    jday=julian([z(:,1) z(:,2) z(:,3) z(:,4) z(:,5) z(:,6)]); %gmt
    pres=z(:,8);temp=z(:,7);deprbr=z(:,9); % 
    

% Remove data before and after the deployment
    st=julian([2013 5 3 17 08 00]); %gmt
    et=julian([2013 5 21 18 01 00]); %gmt  
    n=find(jday<st | jday>et);jday(n)=[];
    pres(n)=[];temp(n)=[];deprbr(n)=[];
    pres=pres-10.444; % remove air pressure
    %pres=pres-mean(pres);

% Plot pressure
    h1=plot(jday,pres);
    h=title('Bam''s Boathouse Pressure');set(h,'fontsize',12)
    grid;gregaxd(jday-4/24,1);figure(gcf);
    preslp=pl66tn(pres,1/60,33);
    hold on;plot(jday,preslp,'r','linew',2)
    h1=ylabel('Pressure db');%set(h1,'fontw','bold','fonts',14)

%    save tuk4 mooring jday pres temp  ...
%		 depth instdepth latitude longitude SN 
%    print -djpeg -r300 Bamsboathousetide4
