%readtuk8.m   9/10/2013
% 
% input *.dat raw RBR upload file
% output jday pressure temperature to tuk8.mat
% *****************************************************
% *** PLOT IN LOCAL TIME *****one minute data************
% ***************************************************** 
clear;clf
mooring='tuk8';depth=0.8323;%m air pres before 10.2895 psi
instdepth=0.83323;%m
latitude= 41+17.797/60;longitude=-70-14.3690/60;SN='16188';

% 	first remove / and : from the *.tid file with Perl fixseagauge.plx
%	perl fixseagauge.plx C:\WHOI\redsea\data\pressure\may11\uploads\sg1164_Jed_may11.tid
    
   load tuk8.dat; z=tuk8; clear fixed
    jday=julian([z(:,1) z(:,2) z(:,3) z(:,4) z(:,5) z(:,6)]);%***gmt***
    pres=z(:,8);temp=z(:,7);deprbr=z(:,9); % 

% Remove data before and after the deployment
    st=julian([2013 8 1 15 10 00]); %**gmt**
    et=julian([2013 9 10 13 40 00 00]); %**gmt** 
    n=find(jday<st | jday>et);jday(n)=[];
    pres(n)=[];temp(n)=[];deprbr(n)=[];
    pres=pres-10.2895; % remove air pressure
    %pres=pres-mean(pres);

% Plot pressure
    h1=plot(jday,pres);
    h=title('Great Rock Pressure');set(h,'fontsize',12)
    grid;gregaxd(jday,2);figure(gcf);
    preslp=pl66tn(pres-mean(pres),1/60,33);
        preslp=pl66tn(pres,1/60,33);

    hold on;plot(jday,preslp,'r','linew',2)
    h1=ylabel('Pressure db');set(h1,'fontw','bold','fonts',14)
%    save tuk8 mooring jday pres temp  ...
%		 depth instdepth latitude longitude SN 
%   print -djpeg -r300 GreatRocktide8 
